org.acplt.oncrpc.apps.jrpcgen

## Class JrpcgenParserException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.acplt.oncrpc.apps.jrpcgen.JrpcgenParserException

All Implemented Interfaces:
  java.io.Serializable

     class JrpcgenParserException
    extends java.lang.RuntimeException

The `JrpcgenParserException` class represents a parser exception indicating to abort parsing the x-file.

Version:
  $Revision: 1.1.1.1 $ $Date: 2003/08/13 12:03:46 $ $State: Exp $ $Locker: $
Author:
  Harald Albrecht

### Constructor Summary

Constructors
Constructor and Description
`JrpcgenParserException()` Constructs a `JrpcgenParserException` with no detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JrpcgenParserException

    public JrpcgenParserException()

Constructs a `JrpcgenParserException` with no detail message.